Main Page Class Hierarchy Compound List File List Compound Members File Members

# _MAG_INFO Struct Reference

`#include <rw_mag.h>`

List of all members.

## Public Attributes
double | mag
double | error
double | quality
double | mindist
int | azimuth
int | nstations
int | nchannels
char | qid [EVENTID_SIZE]
char | qauthor [AUTHOR_FIELD_SIZE]
unsigned int | origin_version
unsigned int | qdds_version
int | imagtype
char | szmagtype [MAG_NAME_LEN]
char | algorithm [MAG_ALG_LEN]
double | tload
char * | pMagAux
size_t | size_aux

## Member Data Documentation

char _MAG_INFO::algorithm[MAG_ALG_LEN]

| Definition at line 112 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

int _MAG_INFO::azimuth

| Definition at line 100 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

double _MAG_INFO::error

| Definition at line 96 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

int _MAG_INFO::imagtype

| Definition at line 109 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

double _MAG_INFO::mag

| Definition at line 95 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

double _MAG_INFO::mindist

| Definition at line 98 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

int _MAG_INFO::nchannels

| Definition at line 103 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

int _MAG_INFO::nstations

| Definition at line 102 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

unsigned int _MAG_INFO::origin_version

| Definition at line 107 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

char* _MAG_INFO::pMagAux

| Definition at line 118 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

char _MAG_INFO::qauthor[AUTHOR_FIELD_SIZE]

| Definition at line 105 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

unsigned int _MAG_INFO::qdds_version

| Definition at line 108 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

char _MAG_INFO::qid[EVENTID_SIZE]

| Definition at line 104 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

double _MAG_INFO::quality

| Definition at line 97 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

size_t _MAG_INFO::size_aux

| Definition at line 120 of file rw_mag.h. Referenced by rd_mag().

char _MAG_INFO::szmagtype[MAG_NAME_LEN]

| Definition at line 110 of file rw_mag.h. Referenced by rd_mag(), and wr_mag().

double _MAG_INFO::tload

| Definition at line 115 of file rw_mag.h.

The documentation for this struct was generated from the following file:

- rw_mag.h